$(document).ready(function () {
    initializateUI();
    // loadProcessListGrid();
    bindQueryEvent();
    // bindEvent();
});

function initializateUI() {
    UICtrl.layout("#layout", {leftWidth: 3});
    var anlkl = $('#anlkl').val();
    if (anlkl.indexOf("Z7")>=0){
        disable();
    }else {
        enable();
    }
}

function bindQueryEvent() {
    $('#kostlName').searchbox({
        type: "system", name: "dictionary",
        getParam: function (item) {
            return {
                fieldName: "KOSTL"
            }
        },
        onChange: function (value, data) {
            $('#kostl').val(data.KOSTL);
            $('#kostlName').val(data.LTEXT);
            $('#kostlv').val(data.KOSTL);
            $('#kostlvName').val(data.LTEXT);
        }
    });
    $('#kostlvName').searchbox({
        type: "system", name: "dictionary",
        getParam: function (item) {
            return {
                fieldName: "KOSTL"
            }
        },
        onChange: function (value, data) {
            $('#kostlv').val(data.KOSTL);
            $('#kostlvName').val(data.LTEXT);
        }
    });
    $('#anlklName').searchbox({
        type: "system", name: "dictionary",
        getParam: function (item) {
            return {
                fieldName: "ANLKL",
                filterValue: "Z"
            }
        },
        onChange: function (value, data) {
            $('#anlkl').val(data.ANLKL);
            $('#anlklName').val(data.TXK20);
            //当资产类别为Z701-Z703时，成本中心字段设置为灰色不允许填写，当资产类别为其他时成本中心字段设置为必输项。
            if (data.ANLKL.indexOf("Z7")>=0){
                disable();
            }else {
                enable();
            }
        }
    });
    $('#bukrsName').searchbox({
        type: "system", name: "dictionary",
        getParam: function (item) {
            return {fieldName: "BUKRS"}
        },
        onChange: function (value, data) {
            $('#bukrs').val(data.BUKRS);
            $('#bukrsName').val(data.BUTXT);
        }
    });
    $('#meinsName').searchbox({
        type: "system", name: "dictionary",
        getParam: function (item) {
            return {fieldName: "MEINS"}
        },
        onChange: function (value, data) {
            $('#meins').val(data.MSEH3);
            $('#meinsName').val(data.MSEHL);
        }
    });
}

function disable(){
    UICtrl.setElRequiredFlag("#kostlName",false);
    UICtrl.setElRequiredFlag("#kostlvName",false);
    UICtrl.disable("#kostlName")
    UICtrl.disable("#kostlvName")
    $("#kostl").val("")
    $("#kostlName").val("")
    $("#kostlv").val("")
    $("#kostlvName").val("")
}

function enable(){
    UICtrl.setElRequiredFlag("#kostlName",true);
    UICtrl.setElRequiredFlag("#kostlvName",true);
    UICtrl.enable("#kostlName")
    UICtrl.enable("#kostlvName")
}

function closeDispatchTabItem() {
    UICtrl.closeCurrentTab();
}

function setId(value) {
    $('#id').val(value);
}

function getId() {
    return $("#id").val();
}
